org.apache.cassandra.metrics

## Class ClientRequestMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.LatencyMetrics
  - - org.apache.cassandra.metrics.ClientRequestMetrics

    public class ClientRequestMetrics
    extends LatencyMetrics

### Field Summary

Fields
`static com.yammer.metrics.core.Counter` `readTimeouts` Deprecated.
`static com.yammer.metrics.core.Counter` `readUnavailables` Deprecated.
`com.yammer.metrics.core.Meter` `timeouts`
`com.yammer.metrics.core.Meter` `unavailables`
`static com.yammer.metrics.core.Counter` `writeTimeouts` Deprecated.
`static com.yammer.metrics.core.Counter` `writeUnavailables` Deprecated.

### Fields inherited from class org.apache.cassandra.metrics.LatencyMetrics

`factory, lastLatency, lastOpCount, latency, namePrefix, recentLatencyHistogram, totalLatency, totalLatencyHistogram`

### Constructor Summary

Constructors
Constructor and Description
`ClientRequestMetrics(java.lang.String scope)`

### Method Summary

Methods
`void` `release()`

### Methods inherited from class org.apache.cassandra.metrics.LatencyMetrics

`addNano, getRecentLatency`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### readTimeouts

    @Deprecated
    public static final com.yammer.metrics.core.Counter readTimeouts

Deprecated.

#### writeTimeouts

    @Deprecated
    public static final com.yammer.metrics.core.Counter writeTimeouts

Deprecated.

#### readUnavailables

    @Deprecated
    public static final com.yammer.metrics.core.Counter readUnavailables

Deprecated.

#### writeUnavailables

    @Deprecated
    public static final com.yammer.metrics.core.Counter writeUnavailables

Deprecated.

#### timeouts

    public final com.yammer.metrics.core.Meter timeouts

#### unavailables

    public final com.yammer.metrics.core.Meter unavailables

### Constructor Detail

#### ClientRequestMetrics

    public ClientRequestMetrics(java.lang.String scope)

### Method Detail

#### release

    public void release()

Overrides:
  `release` in class `LatencyMetrics`